package com.ym.mec.biz.dal.dto;


import io.swagger.annotations.ApiModelProperty;

public class ActivityQueryDto{

    @ApiModelProperty(value = "课程形式")
    private Long categoryId;

    @ApiModelProperty(value = "分部")
    private String organId;

    @ApiModelProperty(value = "课程类型")
    private String courseType = "VIP";

    @ApiModelProperty(value = "学员列表")
    private String studentIds;

    @ApiModelProperty(value = "活动类型0课程1会员，默认0")
    private Integer activityType = 0;

    @ApiModelProperty(value = "0非会员，1会员")
    private Integer memberNum;

    @ApiModelProperty(value = "0老用户，1新用户")
    private Integer newStudentNum;

    private Boolean includeClosed;

    private boolean onlySpecialActivity;

    private Integer teacherId;

    private Boolean enable;

    private Integer activityChannel;

    public Integer getActivityChannel() {
        return activityChannel;
    }

    public void setActivityChannel(Integer activityChannel) {
        this.activityChannel = activityChannel;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public boolean isOnlySpecialActivity() {
        return onlySpecialActivity;
    }

    public void setOnlySpecialActivity(boolean onlySpecialActivity) {
        this.onlySpecialActivity = onlySpecialActivity;
    }

    public Boolean getIncludeClosed() {
        return includeClosed;
    }

    public void setIncludeClosed(Boolean includeClosed) {
        this.includeClosed = includeClosed;
    }

    public Integer getMemberNum() {
        return memberNum;
    }

    public void setMemberNum(Integer memberNum) {
        this.memberNum = memberNum;
    }

    public Integer getNewStudentNum() {
        return newStudentNum;
    }

    public void setNewStudentNum(Integer newStudentNum) {
        this.newStudentNum = newStudentNum;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getCourseType() {
        return courseType;
    }

    public void setCourseType(String courseType) {
        this.courseType = courseType;
    }

    public String getStudentIds() {
        return studentIds;
    }

    public void setStudentIds(String studentIds) {
        this.studentIds = studentIds;
    }

    public Integer getActivityType() {
        return activityType;
    }

    public void setActivityType(Integer activityType) {
        this.activityType = activityType;
    }
}
